#!/bin/bash

source ../ae_ktr/env.sh

echo "Type,Instantiation,Impl(LoC),Compiler(LoC)"
var="$(wc -l < $BLUEPRINT_DIR/stdlib/choices/cache/redis.go)"
var2="$(wc -l < $BLUEPRINT_DIR/generators/plugin_redis.go)"
echo "Cache,Redis,$var,$var2"
var="$(wc -l < $BLUEPRINT_DIR/stdlib/choices/cache/memcached.go)"
var2="$(wc -l < $BLUEPRINT_DIR/generators/plugin_memcached.go)"
echo "Cache,Memcached,$var,$var2"
var="$(wc -l < $BLUEPRINT_DIR/stdlib/choices/nosqldb/mongo.go)"
var2="$(wc -l < $BLUEPRINT_DIR/generators/plugin_mongodb.go)"
echo "NoSQLDB,MongoDB,$var,$var2"
var="$(wc -l < $BLUEPRINT_DIR/stdlib/choices/reldb/mysql.go)"
var2="$(wc -l < $BLUEPRINT_DIR/generators/plugin_mysqldb.go)"
echo "RelDB,MySQL,$var,$var2"
var="$(wc -l < $BLUEPRINT_DIR/stdlib/choices/queue/rabbitmq.go)"
var2="$(wc -l < $BLUEPRINT_DIR/generators/plugin_rabbitmq.go)"
echo "Queue,RabbitMQ,$var,$var2"
var="$(wc -l < $BLUEPRINT_DIR/stdlib/choices/tracer/jaeger.go)"
var2="$(wc -l < $BLUEPRINT_DIR/generators/plugin_jaeger.go)"
echo "Tracer,Jaeger,$var,$var2"
var="$(wc -l < $BLUEPRINT_DIR/stdlib/choices/tracer/zipkin.go)"
var2="$(wc -l < $BLUEPRINT_DIR/generators/plugin_zipkin.go)"
echo "Tracer,Zipkin,$var,$var2"
var="$(wc -l < $BLUEPRINT_DIR/generators/deploy/plugin_dockercompose.go)"
echo "Deployer,Docker,$var,0"
var="$(wc -l < $BLUEPRINT_DIR/generators/deploy/plugin_kubernetes.go)"
echo "Deployer,Kubernetes,$var,0"
var="$(wc -l < $BLUEPRINT_DIR/generators/deploy/plugin_ansible.go)"
echo "Deployer,Ansible,$var,0"
var="$(wc -l < $BLUEPRINT_DIR/generators/netgen/plugin_grpc.go)"
echo "RPC,GRPC,$var,0"
var="$(wc -l < $BLUEPRINT_DIR/generators/netgen/plugin_thrift.go)"
echo "RPC,Thrift,$var,0"
var="$(wc -l < $BLUEPRINT_DIR/generators/netgen/plugin_http_web.go)"
echo "HTTP,Go's net/http,$var,0"